Bug 206235 - no warning when upgrading fc2->fc5
no warning when upgrading fc2->fc5
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
5
All Linux
medium Severity high
: ---
: ---
Assigned To: Peter Jones
bzcl34nup
:
Depends On:
Blocks: FC6Target
  Show dependency treegraph
 
Reported: 2006-09-13 01:14 EDT by thepiratekings
Modified: 2008-04-24 10:42 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-24 10:42:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description thepiratekings 2006-09-13 01:14:19 EDT
Description of problem:

When attempting to upgrade from FC2, fc2 install is detected as upgradeable but
no warning is given that skipping versions is wrong.  The "upgraded" fc5 install
will not boot.

Version-Release number of selected component (if applicable):


How reproducible:
attempt to upgrade an fc2 installation to fc5

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Jeremy Katz 2006-09-14 17:10:11 EDT
We should probably put back some sort of "oldest to upgrade from" check in
upgrade.py
Comment 2 Red Hat Bugzilla 2007-08-21 01:26:07 EDT
User pnasrat@redhat.com's account has been closed
Comment 3 Bug Zapper 2008-04-03 23:42:37 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 4 Joel Andres Granados 2008-04-24 10:42:38 EDT
this is now irrelevant, as this is as upgrade from an unsupported fedora to an
unsupported fedora.

Please reopen this if the upgrades between current fedora versions has issues.

Note You need to log in before you can comment on or make changes to this bug.